pub fn main() !void {
    var args = try std.process.argsWithAllocator(std.heap.smp_allocator);
    _ = args.next();

    const uwurandom = try lib.generate(blk: {
        if (args.next()) |arg| {
            break :blk try std.fmt.parseInt(i32, arg, 10);
        }
        break :blk 10;
    });
    defer uwurandom.deuwu();
    std.debug.print("{s}", .{uwurandom.generated});
}

const std = @import("std");

/// This imports the separate module containing `root.zig`. Take a look in `build.zig` for details.
const lib = @import("zig_binding_lib");
